Package org.apache.wiki.auth.login

## Class HttpRequestCallback

- java.lang.Object
- - org.apache.wiki.auth.login.HttpRequestCallback

All Implemented Interfaces:
  `javax.security.auth.callback.Callback`

    public class HttpRequestCallback
    extends java.lang.Object
    implements javax.security.auth.callback.Callback

Callback for requesting and supplying a HttpServletRequest required by a LoginModule. This Callback is used by LoginModules needing access to the servlet request.

Since:
  2.3
See Also:
  `or`, `methods.`

### Constructor Summary

Constructors
`HttpRequestCallback()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.servlet.http.HttpServletRequest` `getRequest()` Returns the request object.
`void` `setRequest​(javax.servlet.http.HttpServletRequest request)` Sets the request object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpRequestCallback

    public HttpRequestCallback()

### Method Detail

#### setRequest

    public void setRequest​(javax.servlet.http.HttpServletRequest request)

Sets the request object. CallbackHandler objects call this method..

Parameters:
  `request` - the servlet request

#### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

Returns the request object. LoginModules call this method after a CallbackHandler sets the request.

Returns:
  the servlet request